@import url("base.css");

.content {
	height: fit-content;
	display: flex;
	width: 100vw;
	flex-direction: column;
	border-radius: 0 0 12.136vw 12.136vw;
	background-color: var(--globe-color);
	height: fit-content;
	display: flex;
}

.scene {
	position: relative;
	height: 50.164vh;
	width: 100vw;
	background-image: url("/assets/banner-wroom.png");
	background-position: 0;
	background-size: cover;
	overflow: hidden;
	background-repeat: no-repeat;
	border-radius: 0 0 12.136vw 12.136vw;
}

.marker {
	position: absolute;
	bottom: 2.617vh;
	right: 5.825vw;
	display: flex;
	flex-direction: row;
	gap: 1.942vw;
}

.marker img {
	width: 3.398vw;
	height: auto;
	padding: 0.218vh 1.214vw;
}

.marker span {
	font-family: "Muller";
	color: var(--primary-inv);
	font-size: var(--h4);
	transform: translateY(0.2rem);
}

.title {
	padding: 0.612vh 1.91vw 0.612vh 0;
	background-color: var(--accent);
	border-radius: 0 22.442vw 22.442vw 0;
	position: absolute;
	top: 14.068vh;
	left: 0;
}

.title span {
	color: var(--primary-inv);
	font-size: var(--h2);
	border-radius: 0 22.442vw 22.442vw 0;
	border-color: var(--globe-color);
	border-width: 0.223vw;
	border-style: solid;
	border-left: none;
	padding: 0.832vh 9.709vw 0.832vh 4.854vw;
	box-sizing: border-box;
	height: fit-content;
	width: fit-content;
	line-height: 120%;
	font-family: "TT Tsars B";
	font-weight: bold;
	text-transform: uppercase;
}

main {
	padding: 5.234vh 5.825vw 6.979vh 5.825vw;
	display: grid;
	grid-template-rows: auto auto auto;
	grid-template-columns: auto;
	gap: 4.362vh;
}

.description {
	grid-row: 1;
	grid-column: 1;
	display: flex;
	flex-direction: column;
	gap: 2.181vh;
}

.description h2 {
	font-size: var(--h2);
	font-family: "TT Tsars B";
	font-weight: bold;
	text-transform: uppercase;
	color: var(--primary-color);
}

.description p {
	font-size: var(--text);
	color: var(--tetriary-color);
	font-family: "Muller";
	font-weight: normal;
}

.description {
	row-gap: 1;
	column-gap: 2;
}

.map-container {
	grid-row: 2;
	grid-column: 1;
	height: 55.289vh;
	width: 100%;
	overflow: hidden;
	position: relative;
	border-radius: 12.136vw;
}

.map {
	position: absolute;
	cursor: grab;
	height: 100%;
}

.map img {
	max-width: none;
	max-height: none;
	height: 100%;
	transform-origin: bottom right;
}

.info {
	grid-row: 3;
	grid-column: 1;
	display: flex;
	flex-direction: column;
	gap: 2.181vh;
}

.info h3 {
	font-size: var(--h3);
	font-family: "TT Tsars B";
	font-weight: bold;
	text-transform: uppercase;
	color: var(--secondary-color);
}

.info-paths {
	display: flex;
	flex-direction: column;
	gap: 1.309vh;
}

.info-paths h4 {
	color: var(--secondary-color);
	font-size: var(--h4);
	font-family: "Muller";
	font-weight: bold;
}

.info p,
.info span {
	font-family: "Muller";
	font-size: var(--text);
	color: var(--secondary-color);
}

.info span {
	color: var(--accent);
}

.info-paths>div {
	display: flex;
	flex-direction: column;
}

.info-length {
	display: flex;
	flex-direction: column;
	gap: 0.872vh;
}

.info-length span {
	display: flex;
	gap: 0.2rem;
}

.info-length span>span {
	color: var(--secondary-color);
}

footer {
	padding: 5.234vh 4.854vw 5.234vh 4.854vw;
}

footer>div:first-child {
	display: grid;
	grid-template-columns: 1fr 5.825vw 1fr;
	grid-template-rows: fit-content() 1fr fit-content() 2fr 0.545vh 2fr;
	row-gap: 3.053vh;
}

footer::before {
	content: "";
	background-color: var(--accent);
	width: 100%;
	height: 10vh;
	z-index: -1;
	position: absolute;
	top: -9vh
}

footer a:hover,
footer a>span:hover {
	color: var(--globe-color);
}

footer .branding {
	grid-row: 1;
	grid-column: span 3;
}

footer .name {
	font-size: 3.883vw;
	color: var(--primary-inv);
}

.contacts {
	grid-area: contacts;
	flex-direction: column;
	gap: 2.617vh;
	grid-row: 2;
	grid-column: 1;
}

.contacts span {
	font-size: var(--navigation);
	text-transform: uppercase;
	color: var(--secondary-inv);
	font-family: "Muller";
}

.contacts div {
	flex-direction: column;
	display: flex;
}

.contacts a {
	text-decoration: none;
	font-size: var(--navigation);
	color: var(--tetriary-inv);
	font-family: "Muller";
}

.links {
	flex-direction: column;
	grid-row: 3;
	grid-column: 1;
	gap: 3.053vh;
}

.linked {
	gap: 0.436vh;
	flex-direction: column;
}

.linked a {
	height: fit-content;
	align-items: center;
	gap: 1.942vw;
	text-decoration: none;
	font-size: var(--navigation);
	font-family: "Muller";
	color: var(--secondary-inv);
}

.linked a svg {
	width: 4.369vw;
	fill: var(--accent);
	background-color: var(--primary-inv);
	border-radius: 100%;
	padding: 0.728vw;
	height: auto;
}

footer .linked a:last-child svg {
	width: 3.277vw;
	padding: 1.274vw;
}

footer>div:first-child>div:nth-child(3) {
	grid-row: 3;
	grid-column: 1;
}

footer>div:first-child>div:nth-child(4) {
	grid-row: 4;
	grid-column: 1;
}

.navigation {
	font-family: "Muller";
	grid-column: 3;
	grid-row: span 3;
	font-size: var(--navigation);
	flex-direction: column;
	gap: 2.617vh;
}

.navigation span {
	text-transform: uppercase;
	color: var(--secondary-inv);
}

.navigation div {
	flex-direction: column;
	gap: 0.872vh;
}

.navigation a {
	text-decoration: none;
	color: var(--tetriary-inv);
}

.madeby {
	flex-direction: column;
	gap: 0.872vh;
	row-gap: 4;
	grid-row: 5;
	grid-column: span 3;
	font-family: "Muller";
	font-size: var(--navigation);
}

.madeby span {
	color: var(--secondary-inv);
}

.madeby a {
	color: var(--tetriary-inv);
	text-decoration: none;
}

#menu-mob {
	position: fixed;
	overflow-x: hidden;
	flex-direction: column;
	align-items: center;
	z-index: 2;
	top: 0;
	width: 100vw;
	height: 100vh;
	background-color: var(--globe-color);
}

.hdr {
	padding: 1.316vh 5.825vw 1.316vh 5.825vw;
	width: calc(100% - 5.825vw * 2);
	justify-content: space-between;
}

.hdr .menu {
	height: 1.745vh;
}

.dialog {
	width: calc(100% - 5.825vw * 2);
	height: 100%;
	margin: 0.545vh 5.825vw 13.959vh 5.825vw;
	font-family: "Muller";
	display: flex;
	flex-direction: column;
}

.dialog details {
	display: flex;
	flex-direction: column;
	font-size: var(--text);
	height: auto;
}

.dialog summary {
	padding-bottom: 1.309vh;
	padding-top: 2.617vh;
	display: flex;
	justify-content: space-between;
	color: var(--primary-color);
}

.dialog details div {
	flex-direction: column;
	width: 100%;
}

.dialog details a {
	padding-bottom: 1.309vh;
	padding-top: 1.309vh;
	text-decoration: none;
	color: var(--secondary-color);
}

.dialog details a:last-child {
	margin-bottom: 2.617vh;
}

summary::-webkit-details-marker {
	display: none;
}

summary::marker {
	content: "";
}

.dialog hr {
	width: 100vw;
	transform: translateX(-5.825vw);
}

.dialog .links {
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	flex: auto;
}

.dialog span,
dialog a {
	font-size: var(--text);
	width: 100%;
}

.dialog .urls {
	flex-direction: column;
	width: 100%;
	color: var(--tetriary-color);
}

.dialog .urls a {
	padding: 1.478vh 0;
	font-size: var(--text);
	color: var(--tetriary-color);
	text-decoration: none;
}

.dialog .linked {
	gap: 2.617vh;
	width: 100%;
}

.dialog .linked a {
	gap: 1.092vw;
	width: 100%;
}

.dialog .linked svg {
	fill: var(--globe-color);
	background-color: var(--accent);
	width: 5.097vw;
	height: auto;
	padding: 0.85vw;
}

.dialog .linked svg:last-child {
	width: 3.883vw;
	padding: 1.488vw;
}

.dialog .linked span {
	color: var(--accent);
}

@media screen and (orientation: landscape) {
	:root {
		--h1: 4.688vw;
		--h2: 2.813vw;
		--h3: 2.188vw;
		--h4: 1.875vw;
		--text: 1.406vw;
		--navigation: 1.25vw;
		--text-small: 1.094vw;
	}

	header {
		width: auto;
		padding: 2.163vh 2.5vw;
	}

	header::after {
		height: calc(100% + 1.649vh);
	}

	.branding {
		gap: 1.875vw;
	}

	.logos {
		gap: 1.25vw;
	}

	.logo img:first-child {
		width: 3.984vw;
	}

	.logo img:last-child {
		width: 3.75vw;
	}

	.name {
		font-size: 1.25vw;
	}

	.menu {
		display: none;
	}

	menu {
		font-family: Muller;
		font-size: 1.683vh;
		gap: 1.875vw;
		flex-direction: row;
		flex-wrap: nowrap;
		text-transform: uppercase;
		display: flex;
		justify-items: center;
		align-items: center;
	}

	.pages {
		display: flex;
	}

	menu a {
		color: var(--tetriary-color);
		text-decoration: none;
		height: 1.923vh;
	}

	menu a[data-activeLink] {
		color: var(--accent);
	}

	menu details {
		position: relative;
		cursor: pointer;
	}

	menu summary {
		font-size: 1.683vh;
		font-family: Muller;
		color: var(--tetriary-color);
		text-decoration: none;
		height: fit-content;
		text-transform: uppercase;
		background-color: transparent;
		border: none;
		color: none;
		display: flex;
		align-items: center;
	}

	menu details img {
		height: 0.601vh;
		margin: 1.322vh;
		opacity: 0.6;
	}

	menu details div {
		position: absolute;
		margin-top: 1.07vh;
		gap: 0.985vh;
		flex-direction: column;
		background-color: #fff;
		border-radius: 0.781vw;
		padding: 2.463vh 1.563vw;
		margin-left: -25%;
		box-shadow: 0.246vh 0.246vh 2.463vh rgba(153, 153, 153, 0.25), 0.246vh -0.246vh 2.463vh rgba(153, 153, 153, 0.25);
	}

	menu details a {
		font-size: var(--navigation);
		font-family: "Muller";
		color: var(--tetriary-color);
		text-transform: uppercase;
		text-decoration: none;
		text-wrap: nowrap;
		word-wrap: nowrap;
		height: auto;
	}

	menu details a:hover {
		color: var(--primary-color);
	}

	menu .vk {
		display: flex;
		height: 2.5vw;
		background-color: var(--accent);
		width: 2.5vw;
		border-radius: 100%;
	}

	menu .vk svg {
		position: relative;
		height: 3.079vh;
		width: 1.875vw;
		fill: var(--primary-inv);
	}

	.content {
		border-radius: 0 0 3.906vw 3.906vw;
		position: relative;
		width: 100%;
	}

	.scene {
		height: 91.133vh;
		border-radius: 0 0 3.906vw 3.906vw;
		justify-content: center;
		align-items: end;
		width: 100%;
	}

	.marker {
		bottom: 3.486vh;
		right: 7.524vw;
		gap: 0.625vw;
	}

	.marker img {
		width: 2.404vh;
		padding: 0.24vh 0.391vw;
	}

	.marker span {
		font-size: var(--h3);
		text-transform: uppercase;
	}

	.title {
		border-radius: 0 14.866vw 14.866vw 0;
		top: 14.904vh;
		padding: 1.563vh 1.563vh 1.563vh 0;
	}

	.title h2 {
		font-size: var(--h1);
		padding: 2.885vh 4.688vw 2.885vh 2.344vw;
	}

	main {
		padding: 9.615vh 2.5vw 20.192vh 2.5vw;
		grid-template-rows: auto auto;
		grid-template-columns: 1fr 1fr;
		gap: 7.692vh 2.5vw;
	}

	.description {
		grid-row: 1;
		grid-column: 1;
		gap: 5.679vh;
	}

	.description h2:first-child {
		display: unset;
	}

	.description h2:nth-child(2) {
		display: none;
	}

	.description {
		row-gap: 7.692vh;
		column-gap: 2.5vw;
	}

	.map-container {
		grid-row: span 2;
		grid-column: 2;
		border-radius: 3.906vw;
		height: 100%;
	}

	.info {
		grid-row: 2;
		grid-column: 1;
		gap: 4.808vh;
	}

	.info h3:first-child {
		display: unset;
	}

	.info h3:nth-child(2) {
		display: none;
	}

	.info-paths {
		gap: 1.923vh;
	}

	.info h4 {
		color: var(--secondary-color);
		font-size: var(--text);
	}

	.info span {
		color: var(--accent);
	}

	.info-paths div span {
		text-wrap: nowrap;
		word-wrap: nowrap;
		overflow: visible;
	}

	.info-length {
		gap: 0.962vh;
	}

	.info-length span {
		gap: 0.2rem;
	}

	.info-length span>span {
		color: var(--secondary-color);
	}

	/* footer */

	footer {
		padding: 6.01vh 2.5vw 7.212vh 2.5vw;
	}

	footer>div:first-child {
		grid-template-columns: fit-content(17.5vw) 3.125vw fit-content(23.438vw) 3.75vw 1fr 1fr;
		grid-template-rows: 1fr 1fr 2.163vh 1fr;
		row-gap: 0;
	}

	footer .branding {
		grid-row: 1;
		grid-column: span 3;
	}

	footer .name {
		font-size: 1.563vw;
	}

	.contacts {
		gap: 2.617vh;
		grid-row: 2;
		grid-column: 1;
		height: 100%;
		justify-content: end;
	}

	.contacts span {
		display: none;
	}

	.contacts a {
		color: var(--secondary-inv);
	}

	.navigation {
		grid-column: 5;
		grid-row: span 4;
		width: 100%;
	}

	.links {
		gap: 3.125vw;
		flex-direction: row;
		grid-row: 2;
		grid-column: 1;
		width: 100%;
		height: 100%;
		align-items: end;
	}

	.linked a {
		gap: 0.625vw;
		color: var(--tetriary-inv);
	}

	.linked a svg {
		width: 1.406vw;
		padding: 0.234vw;
	}

	footer .linked a:last-child svg {
		width: 1.055vw;
		padding: 0.41vw;
	}

	footer>div:first-child>div:nth-child(3) {
		grid-row: 4;
		grid-column: 1;
		text-wrap: nowrap;
		word-wrap: nowrap;
	}

	footer>div:first-child>div:nth-child(4) {
		grid-row: 4;
		grid-column: 3;
	}

	#town-group {
		display: none;
	}

	#town-group-desc {
		display: block;
	}

	.madeby {
		grid-row: 2;
		grid-column: 3;
		width: 100%;
		height: 100%;
		justify-content: end;
	}

	.madeby span:nth-child(1) {
		display: block;
		color: var(--secondary-inv);
	}

	.madeby span:nth-child(2) {
		display: none;
	}

	.madeby a {
		display: none;
	}

	#suvorov {
		display: block;
		width: auto;
		height: 73.352vh;
		position: absolute;
		bottom: calc(3px + 40px + 7.212vh);
		right: 0;
		z-index: 2;
	}

	#menu {
		display: none;
	}
}